octonet - Segnalazione #65

OctonetMixin.octofuss_apps(): caching in request.session

11/22/2016 05:04 PM - Enrico Zini

Status: Chiuso
Priority: Normale
Assignee: Enrico Zini
Category:

Target version:

Start date: 11/22/2016
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

To speed up requests especially when working on remote octofussd servers, we can cache the list of detected app names in the

session, and reuse them on further queries.

Associated revisions

Revision b050b732 - 11/30/2016 04:28 PM - Enrico Zini

Use the session to cache list of apps that can run on the current octofussd. refs: #65

Revision £31369¢9 - 11/30/2016 04:28 PM - Enrico Zini

Implemented caching of currently available apps. Fixes #65

History

#1 - 11/30/2016 04:24 PM - Enrico Zini

- Assignee set to Enrico Zini

#2 - 11/30/2016 04:29 PM - Anonymous
- Status changed from Nuovo to Risolto

- % Done changed from 0 to 100

Applicata nel changeset £31369c983abe7225db74d8312394b0ead1c4467.

#3 - 11/30/2016 04:29 PM - Enrico Zini

- Status changed from Risolto to Chiuso
